.\"	$NetBSD: lfs_segclean.2,v 1.7 2004/05/13 10:20:58 wiz Exp $
.\"
.\" Copyright (c) 2000 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Konrad Schroder.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 23, 2000
.Dt LFS_SEGCLEAN 2
.Os
.Sh NAME
.Nm lfs_segclean
.Nd mark a segment clean
.Sh LIBRARY
.Lb libc
.Sh SYNOPSIS
.In sys/types.h
.Ft int
.Fn lfs_segclean "fsid_t *fsidp" "u_long segment"
.Sh DESCRIPTION
.Fn lfs_segclean
marks segment number
.Fa segment
in LFS filesystem
.Fa *fsidp
"clean" or available for writing.
.Sh RETURN VALUES
.Fn lfs_segclean
returns 0 on success, or \-1 on error.
.Sh ERRORS
An error return from
.Fn lfs_segclean
indicates:
.Bl -tag -width Er
.It Bq Er EFAULT
.Fa fsidp
points outside the process's allocated address space.
.It Bq Er EINVAL
.Fa *fsidp
does not specify a valid filesystem.
.It Bq Er EBUSY
.Fa segment
is marked SU_ACTIVE, meaning that it does not yet belong to a valid checkpoint.
.El
.Sh SEE ALSO
.Xr lfs_bmapv 2 ,
.Xr lfs_markv 2 ,
.Xr lfs_segwait 2 ,
.Xr lfs_cleanerd 8
.Sh HISTORY
The
.Fn lfs_segclean
function call appeared in
.Bx 4.4 .
